<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__htsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_htsc_config_t</compoundname>
    <includes local="no">cy_ble_hts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__htsc__config__t_1a1804a422a2dd5e1ea90d3b47362e6e92" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__htsc__t">cy_stc_ble_htsc_t</ref> *</type>
        <definition>cy_stc_ble_htsc_t* cy_stc_ble_htsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="153" />
      </memberdef>
      <memberdef id="structcy__stc__ble__htsc__config__t_1a8251ffa6b1dee0238561df81863f3c5c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_htsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="156" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="883">
        <label>cy_stc_ble_htsc_config_t</label>
        <link refid="structcy__stc__ble__htsc__config__t" />
        <childnode refid="884" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="885">
        <label>cy_stc_ble_htsc_char_t</label>
        <link refid="structcy__stc__ble__htsc__char__t" />
      </node>
      <node id="884">
        <label>cy_stc_ble_htsc_t</label>
        <link refid="structcy__stc__ble__htsc__t" />
        <childnode refid="885" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="158" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="150" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="151" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__htsc__config__t_1a1804a422a2dd5e1ea90d3b47362e6e92" virt="non-virtual"><scope>cy_stc_ble_htsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__htsc__config__t_1a8251ffa6b1dee0238561df81863f3c5c" virt="non-virtual"><scope>cy_stc_ble_htsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>